com.smartgwt.client.types

## Enum DragTrackerMode

- java.lang.Object
- - java.lang.Enum<DragTrackerMode>
  - - com.smartgwt.client.types.DragTrackerMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<DragTrackerMode>

      public enum DragTrackerMode
      extends java.lang.Enum<DragTrackerMode>
      implements ValueEnum

  When records are being dragged from within a ListGrid, what sort of drag-tracker should be displayed?

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICON` Display an icon to represent the record(s) being dragged.
    `NONE` Don't display a drag tracker at all
    `RECORD` Display the entire record being dragged
    `TITLE` Display a title for the record being dragged.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static DragTrackerMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DragTrackerMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DragTrackerMode NONE

      Don't display a drag tracker at all

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### ICON

          public static final DragTrackerMode ICON

      Display an icon to represent the record(s) being dragged. Icon src is derived from `ListGrid.getDragTrackerIcon()`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "icon".

    - #### TITLE

          public static final DragTrackerMode TITLE

      Display a title for the record being dragged. Title derived from `ListGrid.getDragTrackerTitle()`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

    - #### RECORD

          public static final DragTrackerMode RECORD

      Display the entire record being dragged

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "record".

  - ### Method Detail

    - #### values

          public static DragTrackerMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DragTrackerMode c : DragTrackerMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DragTrackerMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`